Search PositivePay Exceptions

Return positive pay exceptions for a given criteria.

SecurityoAuth2
Request
query Parameters
page
required
integer

1-based page index. Minimum value is 1.

Example: page=1
records
required
integer

Page size. Must be between 1 and 100.

Example: records=10
Request Body schema: application/json
required
paymentUID
string

A unique identifier associated with the payment

customerUID
string

Customer unique identifier associated with the customer in the Finzly's CRM system

customerName
string

Customer name associated with the payment positive rule

customerAccountNumber
string

Bank Account Number

decisionDateFrom
string

Decision date in mm-dd-yyyy format

decisionDateTo
string

Decision date in mm-dd-yyyy format

amountFrom
number

Payment amount

amountTo
number

Payment amount

status
string

Specifies the Positive Pay decision status to filter the search results.

  • If the status value is provided, the API will return results matching the exact decision status supplied.
  • If the status value is not provided or is empty, the API will automatically apply the default filter with the following decision statuses:
    • AUTO_MATCHED
    • APPROVED
    • DEFAULT_DECISION
    • REJECTED
secCode
string

SEC code associated with the ACH positive rule

debitDateFrom
string

Debit date in mm-dd-yyyy format

debitDateTo
string

Debit date in mm-dd-yyyy format

paymentDateFrom
string

Payment date in mm-dd-yyyy format

paymentDateTo
string

Payment date in mm-dd-yyyy format

Responses
200

Successfully processed request

400

Bad request

401

You are not authorized to access the resource

403

Forbidden - User is not authorized to perform this operation

404

The resource you were trying to reach is not found

405

bad input parameter environment

500

Internal server error

503

Service unavailable

post/v2/positivepay/exception/search
Request samples
application/json
{
  • "paymentUID": "112233",
  • "customerUID": "112233",
  • "customerName": "ABC Company",
  • "customerAccountNumber": "12387878",
  • "decisionDateFrom": "11-01-2024",
  • "decisionDateTo": "12-01-2024",
  • "amountFrom": 100,
  • "amountTo": 200,
  • "status": "APPROVED",
  • "secCode": "CCD",
  • "debitDateFrom": "11-01-2024",
  • "debitDateTo": "12-01-2024",
  • "paymentDateFrom": "11-01-2024",
  • "paymentDateTo": "11-01-2024"
}
Response samples
application/json
{
  • "pagination": {
    },
  • "positivePayExceptions": [
    ]
}